.header__index {
  background-image: url(https://alonsohs.github.io/payapi-multi-page-website/assets/shared/desktop/bg-pattern-circle.svg);
  background-repeat: no-repeat;
  background-position: calc(50% + 450px) -150px;
  padding-top: 40px;

  .hero {
    display: flex;
    align-items: center;

    .hero-text {
      max-width: 546px;

      h1 {
        font-size: 72px;
        color: #36536b;
        font-weight: 400;
        line-height: 72px;
      }

      small {
        margin-left: 20px;
        color: #6c8294;
        font-size: 15px;

        a {
          color: #6c8294;
        }

        a:hover {
          color: var(--san-juan-blue);
        }
      }
    }

    .mobile-mockup-hero {
      margin-left: auto;
    }
  }
}

@include lg {
  .header__index {
    background-size: 150%;
    background-position: center -110vw;
    margin-bottom: 10vw;

    .hero {
      flex-direction: column-reverse;

      .hero-text {
        max-width: 600px;
        margin-top: -20px;
        display: flex;
        text-align: center;
        flex-direction: column;
        align-items: center;

        h1 {
          font-size: 48px;
        }

        small {
          margin-left: 0;
        }
      }

      .mobile-mockup-hero {
        margin-left: 80px;
        width: 300px;

        img {
          width: inherit;
        }
      }
    }
  }
}

@include md {
  .header__index {
    background-position: center -90vw;
    margin-bottom: 60px;

    h1 {
      font-size: 30px;
      line-height: 36px;
    }

    .hero {
      .mobile-mockup-hero {
        width: 200px;
        margin-left: 10vw;
      }

      .hero-text {
        width: 100%;

        h1 {
          font-size: 30px;
          line-height: 36px;
        }
      }
    }
  }
}
